Bug 157601 - [PATCH] Fix port: dns/rbldnsd should use USERS
Summary: [PATCH] Fix port: dns/rbldnsd should use USERS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 12:00 UTC by Chris Rees
Modified: 2011-07-04 20:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-06-04 12:00:20 UTC
	

	This port uses pkg-install to create new users instead of using USERS= and GROUPS=

Fix: - Use USERS and GROUPS

	Submitted by: Chris Rees (utisoft@gmail.com)

	Please note that pkg-install has been removed.




-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--T17kIe6cPvpC8WgQHeYAotrvCBz7N0GmpauvyOPfDR8JKWwO
Content-Type: text/plain; name="dns-rbldnsd.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="dns-rbldnsd.patch"

Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/dns/rbldnsd/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- Makefile	10 Feb 2010 02:58:33 -0000	1.15
+++ Makefile	2 Jun 2011 15:29:46 -0000
@@ -32,13 +32,11 @@
 
 HAS_CONFIGURE=	yes
 USE_RC_SUBR=	rbldnsd
+USERS=		rbldns
+GROUPS=		${USERS}
 PKGMESSAGE=	${WRKDIR}/pkg-message
 SUB_FILES=	pkg-message
 
-pre-install:
-		@${ECHO} "==>  Creating custom user to run rbldnsd..."
-		@${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
-
 do-install:
 		@if [ ! -d ${ROOTDIR} ]; then \
 			${MKDIR} ${ROOTDIR}; \
Index: pkg-install
===================================================================
RCS file: pkg-install
diff -N pkg-install
--- pkg-install	22 Sep 2006 04:34:40 -0000	1.2
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,30 +0,0 @@
-#!/bin/sh
-
-if [ "$2" != "PRE-INSTALL" ]; then
-    exit 0
-fi
-
-RBLDNSUSER=${RBLDNSUSER:-rbldns}
-RBLDNSGROUP=${RBLDNSGROUP:-rbldns}
-
-if ! pw groupshow "$RBLDNSGROUP" 2>/dev/null 1>&2; then
-	if pw groupadd $RBLDNSGROUP; then
-		echo "=> Added group \"$RBLDNSGROUP\"."
-	else
-                echo "=> Adding group \"$RBLDNSGROUP\" failed..."
-                exit 1
-        fi
-fi
-
-if ! pw usershow "$RBLDNSUSER" 2>/dev/null 1>&2; then
-        if pw useradd $RBLDNSUSER -g $RBLDNSGROUP -h - \
-                -s "/usr/sbin/nologin" -d "/nonexistent" \
-                -c "rbldnsd pseudo-user"; \
-        then
-                echo "=> Added user \"$RBLDNSUSER\"."
-        else
-                echo "=> Adding user \"$RBLDNSUSER\" failed..."
-                exit 1
-        fi
-fi
-exit 0
Comment 1 Edwin Groothuis freebsd_committer freebsd_triage 2011-06-04 12:00:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer freebsd_triage 2011-06-04 12:00:41 UTC
Maintainer of dns/rbldnsd,

Please note that PR ports/157601 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157601

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer freebsd_triage 2011-06-04 12:00:44 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Alexey Degtyarev 2011-06-04 12:14:41 UTC
On 11:00 Sat 04 Jun, Edwin Groothuis wrote:

> Maintainer of dns/rbldnsd,
> 
> Please note that PR ports/157601 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157601
> 

Approved.

-- 
Alexey V. Degtyarev
Comment 5 Chris Rees freebsd_committer freebsd_triage 2011-06-22 17:54:13 UTC
Responsible Changed
From-To: pgollucci->crees

Invalid autoassignment
Comment 6 Chris Rees freebsd_committer freebsd_triage 2011-06-22 18:02:23 UTC
Responsible Changed
From-To: crees->freebsd-ports-bugs

To pool to correct assign message
Comment 7 Chris Rees freebsd_committer freebsd_triage 2011-06-22 18:24:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

Invalid autoassignment to pgollucci
Comment 8 Chris Rees freebsd_committer freebsd_triage 2011-06-26 17:34:59 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 9 dfilter service freebsd_committer freebsd_triage 2011-07-04 20:05:13 UTC
crees       2011-07-04 19:05:05 UTC

  FreeBSD ports repository

  Modified files:
    dns/rbldnsd          Makefile 
  Removed files:
    dns/rbldnsd          pkg-install 
  Log:
  - Use USERS and GROUPS
  
  PR:             ports/157601
  Approved by:    rene (mentor, implicit)
  
  Revision  Changes    Path
  1.16      +2 -4      ports/dns/rbldnsd/Makefile
  1.3       +0 -30     ports/dns/rbldnsd/pkg-install (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Chris Rees freebsd_committer freebsd_triage 2011-07-04 20:05:24 UTC
State Changed
From-To: open->closed

Committed. Thanks!